From 8f0c1e8277653f1b1cb8256587e30cc923810ab2 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 21 Mar 2018 10:09:37 -0400
Subject: [PATCH 1/2] perltidy: Don't write backup files

Newer perltidy versions can just avoid writing backup files, so we don't
need the old dance of deleting them afterwards.  Supported since 20120619.

https://metacpan.org/source/SHANCOCK/Perl-Tidy-20120619/CHANGES#L61
---
 src/tools/pgindent/perltidyrc | 1 +
 src/tools/pgindent/pgperltidy | 3 ---
 2 files changed, 1 insertion(+), 3 deletions(-)

diff --git a/src/tools/pgindent/perltidyrc b/src/tools/pgindent/perltidyrc
index e8ae7c5d8b..802b5df37b 100644
--- a/src/tools/pgindent/perltidyrc
+++ b/src/tools/pgindent/perltidyrc
@@ -1,5 +1,6 @@
 --add-whitespace
 --backup-and-modify-in-place
+--backup-file-extension=/
 --delete-old-whitespace
 --entab-leading-whitespace=4
 --keep-old-blank-lines=2
diff --git a/src/tools/pgindent/pgperltidy b/src/tools/pgindent/pgperltidy
index 6098e18428..5d9aa7c64c 100755
--- a/src/tools/pgindent/pgperltidy
+++ b/src/tools/pgindent/pgperltidy
@@ -18,6 +18,3 @@ PERLTIDY=${PERLTIDY:-perltidy}
 ) |
 sort -u |
 xargs $PERLTIDY --profile=src/tools/pgindent/perltidyrc
-
-# perltidyrc specifies --backup-and-modify-in-place, so get rid of .bak files
-find . -type f -name '*.bak' | xargs rm
-- 
2.17.0

